Notifications
Clear all

Unify crashes when loading Softube Modular or Softube Parallels

24 Posts
6 Users
1 Likes
1,112 Views
 Wan
(@wan)
New Member
Joined: 4 years ago
Posts: 4
Topic starter  

Hi, i just want to let you know this happens. Is this the place to report this issues? If not, where to notify crashes on plugins?

And is a crash report useful as attachment?

Grtz Wan


   
Quote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

@wan

Yes, thanks, this is the place to report these kinds of issues.

We're aware of the problems loading Softube plug-ins, especially Modular and Parallels. No solution yet, but this is still high up on the to-do list.


   
ReplyQuote
 Wan
(@wan)
New Member
Joined: 4 years ago
Posts: 4
Topic starter  

@getdunne Ah great! Take the time it needs to fix it, i like Unify as it is now and understand you've got a lot of things to do!


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

@getdunne Any update/timeline on when we might see support for Softube Modular in Unify?


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

@rickcoates

Still failing in Unify 1.1.10? I'll try to schedule time to have another look.


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

@getdunne Sadly, yes. I have confirmed that Softube Modular (version 2.4.96) correctly loads up in Ableton Live 10 Suite (10.1.17) on my MacBook Pro, but not in Unify 1.1.10. I have attached the problem details from the Unify 1.1.10 seg fault, in case that is helpful for you.


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

Well, apparently I can't attach a text file in this forum. I can email it into support instead if you like, just let me know.


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

@rickcoates

Don't worry about the attachment; I've seen this before and it's always the same. I'll take another look at the Softube plug-ins and report results here when I have them.

Unfortunately, we're still not compatible with every plug-in out there, and some are easier to deal with than others. Thanks for letting me know that there's still an issue with Softube.


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

@getdunne Hi again. I just thought someone should let you know that trying to load Softube Modular still crashes Unify as of 1.2.2.


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

@rickcoates

Thanks for the heads-up, and for your continued patience! I'll try to get to this before the next maintenance release.


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

👍


   
ReplyQuote
(@paull)
Member
Joined: 4 years ago
Posts: 26
 

I am able to load both the VST and VST3 of Softube Modular (Version 2.4.9.6) in Unify 1.2.3/60.  OS is Windows 10, version 1909, build with current patches (build 18363.1139 - from Winver.exe).


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

Good to know @paull. I am running Unify 1.2.2 with Softube Modular version 2.5.6 (f4802661) on macOS Catalina 10.15.7 (19H2). 

@getdunne, any idea when Unify 1.2.3 might be GA for macOS?


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

I've reported this to Softube, and the email has been forwarded to one of their developers, so I hope to hear back soon.

This appears to be a known problem with Softube plug-ins and the JUCE hosting code, which has been known since at least spring 2018, and has been reported to Softube, with no response. The problem affects only the VST and VST3 plug-ins, only on Macintosh.

In the meantime, it appears you can use the Audio Unit version just fine, so I'd suggest you do that as a work-around for now. As long as you're not trying to create patches to share with others, using AU instead of VST/VST3 is a moot point.


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

@getdunne Thanks for the update. Sadly, trying to load the AU version of Softube Modular also crashes Unify (1.2.2 at least). I took the VST version out of the known plugins list, just to be sure I wasn't somehow still getting the VST version.


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

@rickcoates

Well, curiouser and curiouser! The AU version of Modular works fine for me in MacOS 10.15.7 Catalina, but not in 10.13.6 High Sierra. I've passed all this along to Softube, and we'll see what they say.


   
ReplyQuote
(@rickcoates)
Active Member
Joined: 4 years ago
Posts: 10
 

Thanks @getdunne. Fingers crossed.


   
ReplyQuote
pjsvis
(@pjsvis)
Estimable Member
Joined: 3 years ago
Posts: 77
 

I just installed four Softube plugins: S73, Saturation, TSAR-1R, and Tube Delay on my Windows 10 box with Unify 1.6.2 and note the following:

1. The VST3 plugins crash Unify immediately

2. The VST plugins work fine but the Saturation Knob plugin has no title bar and hence no Close button 

The attached image illustrates the above.

Would it be worth adding a "Close Plugin GUI" menu item to the insert effect plugin Operations menu?


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 
Posted by: @pjsvis

Would it be worth adding a "Close Plugin GUI" menu item to the insert effect plugin Operations menu?

The main ops menu (concentric circles icon at bottom center of Unify GUI) has a "Close all plug-in windows" item. That's about as far as I'm prepared to go in terms of work-arounds for buggy plug-ins. Softube plug-ins are notorious for weird/nonstandard behavior, and the company does a poor job of responding to developer enquiries. I suggest you report these issues to Softube.


   
ReplyQuote
pjsvis
(@pjsvis)
Estimable Member
Joined: 3 years ago
Posts: 77
 

@getdunne Thanks for the heads up on the Close all plugin windows item. I had  missed that!

I realise that some plugins are flaky. No complaints about Unify.

In fact the opt-in add-plugin model that Unify has beats the scan-on-startup model every time.


   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 
Posted by: @pjsvis

In fact the opt-in add-plugin model that Unify has beats the scan-on-startup model every time.

I wish more people agreed, instead of insisting on doing a full scan every time and then complaining bitterly that it sometimes isn't perfect.


   
ReplyQuote
(@gribs)
New Member
Joined: 2 years ago
Posts: 3
 

Hi everyone,

I am a new Unify license owner (purchased today).  I am having issues with Softube plugins as well, but only the VST3 versions.  I can get VST versions of Modular, Model 72, Model 84, Parallels, and Statement Lead to load and run fine but not the VST3 versions.  Unify is not crashing when the VST3 versions are loaded.  The synths just do not appear to be functioning; I can open their respective GUIs and twist controls but that is it.  Modules from Modular will not load into the panel, sounds will not play from the non-modular synths, and presets will not load.  I haven't tried Amp Room or any of their effects that I license.  Basically if it has been "modularized" I own a license, except British A which I would love to own but is pricy as heck.

This is not a deal-breaker for me but I would like to be able to use the VST3 versions of the plugins if possible.  Softube synths are some of my favorites.

I have checked several other developers' VST3 plugins and all work.  That included Padshop 2, Dune 3 (the latest update), Phase Plant, and several others.

 

I am the same old Gribs from Modwiggler, KVR, Elektronauts, and elsewhere 🙂

This post was modified 2 years ago by Gribs

   
ReplyQuote
(@getdunne)
Illustrious Member Admin
Joined: 5 years ago
Posts: 4410
 

@gribs

Softube has been a support nightmare forever. I have no idea what causes their VST3 plug-ins to fail, and they have not been very helpful. I suggest you report this issue directly to Softube support. The more customer feedback they get about Unify, the more likely they are to pay attention.

In the meantime, I suggest you use the VST versions instead. There is no significant difference between VST3 and VST.

BTW, when reporting compatibility problems, please include some details about your system, esp. Mac or PC.


   
ReplyQuote
(@gribs)
New Member
Joined: 2 years ago
Posts: 3
 
Posted by: @getdunne

@gribs

Softube has been a support nightmare forever. I have no idea what causes their VST3 plug-ins to fail, and they have not been very helpful. I suggest you report this issue directly to Softube support. The more customer feedback they get about Unify, the more likely they are to pay attention.

In the meantime, I suggest you use the VST versions instead. There is no significant difference between VST3 and VST.

BTW, when reporting compatibility problems, please include some details about your system, esp. Mac or PC.

I will do that next time.  I am on a PC.  It is a Lenovo P52 workstation laptop running Windows 10 Pro.  I am using a RME Babyface Pro right now.  


   
getdunne reacted
ReplyQuote
Share: